Dynamo Matlab version

From Dynamo
Jump to: navigation, search

Dynamo can be used inside the Matlab environment. This is very helpful for defining your own ways of analysing data.

Requirements

Matlab version

Dynamo needs Matlab R2014b or higher. Although we try to ensure backwards compatibility, running Dynamo on an older Matlab version might lead to visualization problems. Support for Matlab versions previous to R2014b will be discontinued in a near future.

For visualization purposes, the higher the Matlab version, the faster you'll be able to navigate tomograms online. We thus recommend to use latest available version.

Additional toolboxes

Dynamo avoids incorporating calls to functions contained in Matlab Toolboxes, i.e., outside of the basic Matlab installation. The exception is the Parallel Computing Toolbox: if you want to execute alignment projects inside Matlab using several cores, then you need to buy a license for this toolbox on top of the Matlab license itself. Alternatively, you can use Matlab to define projects, and then execute them in a linux shell using the Dynamo standalone.

Alternatives

If your institution doesn't provide you with Matlab licenses, Dynamo can be fully run using its standalone version. The Dynamo console provides a Matlab-like command line where all Matlab commands and all Dynamo commands can be executed. The biggest restriction of the Dynamo console compared to a real Matlab environment is the capacity for scripting in several lines.